[arch-commits] Commit in kbproto/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Eric Bélanger eric at archlinux.org
Thu Apr 9 17:41:41 EDT 2009


    Date: Thursday, April 9, 2009 @ 17:41:41
  Author: eric
Revision: 34515

Merged revisions 356,34514 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/kbproto/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r34514 | eric | 2009-04-09 17:41:20 -0400 (Thu, 09 Apr 2009) | 2 lines
  
  upgpkg: kbproto 1.0.3-2
      Added license
........

Modified:
  kbproto/repos/extra-x86_64/	(properties)
  kbproto/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |    8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)


Property changes on: kbproto/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /kbproto/trunk:1
   + /kbproto/trunk:1-34514

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-09 21:41:20 UTC (rev 34514)
+++ extra-x86_64/PKGBUILD	2009-04-09 21:41:41 UTC (rev 34515)
@@ -3,16 +3,18 @@
 
 pkgname=kbproto
 pkgver=1.0.3
-pkgrel=1
+pkgrel=2
 pkgdesc="X11 XKB extension wire protocol"
 arch=(i686 x86_64)
 url="http://xorg.freedesktop.org/"
+license=('custom')
 source=(${url}/releases/individual/proto/${pkgname}-${pkgver}.tar.bz2)
 md5sums=('6092cdb0a1225f95356ddbe6c2abaad5')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr
   make || return 1
-  make DESTDIR=${startdir}/pkg install || return 1
+  make DESTDIR=${pkgdir} install || return 1
+  install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }



More information about the arch-commits mailing list